import { baseHttpUtils } from "@/utils/http/baseHttpUtils";
import {
  datacenter_pre,
  dict_pre,
  equipquery_pre,
  graphhic_pre,
  object_pre,
  rwd_pre,
} from "./preTypes";
class ScanController {
  static http = new baseHttpUtils();
  /**
   * 查询不在当前系统下的设备
   */
  static async getEquipNotInSys(params) {
    return await this.http.postRequest(
      equipquery_pre + `/equip-sys?sysId=${params.sysId}`,
      params
    );
  }
  /**
   * 查询不在当前系统下的设备
   */
  static async getEquipInSys(params) {
    return await this.http.postRequest(equipquery_pre + `/sys-equip`, params);
  }
  /**
   * 创建资产所需(Family族id3位编码)-根据设备类型(4位编码)或部件类型(6位编码)查询,!!设备与设备族的关系
   */
  static async getEquipBelongs(params) {
    return await this.http.postRequest(dict_pre + "/family/query", params);
  }
  /**
   * 设备清单 - 设备关联系统 系统1-n
   */
  static async sysLinkEquip(params) {
    return await this.http.postRequest(
      datacenter_pre + "/rel/sy-in-eq/link-sy-eq",
      params
    );
  }
  /**
   * 获取设定参数和动态参数
   */
  static async BeatchQueryParam(params) {
    return await this.http.postRequest(
      rwd_pre +
        `/iot/data/current?projectId=${params.projectId}&groupCode=${params.groupCode}&appId=${params.appId}`,
      params
    );
  }
  /**
   * 设备清单 - 删除设备
   */
  static async deleteEquip(params) {
    return await this.http.postRequest(object_pre + "/equip/delete", params);
  }
  /**
   * 设备清单 - 更新设备
   * @param params
   */
  static async updateEquip(params) {
    return await this.http.postRequest(object_pre + "/equip/update", params);
  }
  /**
   * 设备清单 - 根据对象删除系统和设备的关系
   * @param params
   */
  static async sysUnlinkEquip(params) {
    return await this.http.postRequest(
      datacenter_pre + "/sy-in-eq/unlinks-sy-eq",
      params
    );
  }
  static async zoneQuery() {}
  static async TypePartsDie() {}
  /**
   * 下载报告-查询key值
   * @param params
   * @returns
   */
  static async queryDownloadsKey(params) {
    return await this.http.postRequest(
      graphhic_pre + "/downloads/point/key",
      params
    );
  }
  /**
   * 下载模板-设备静态信息维护模板
   * @param params
   * @returns
   */
  static async equipTemplate(params) {
    window.location.href =
      (window as any).__systemConf.baseServiceUrl +
      graphhic_pre +
      "/downloads/equip/template";
    // return await this.http.getRequest(
    //   graphhic_pre + "/downloads/equip/template",
    //   params
    // );
  }
  /**
   * 修改设备的附件功能
   * @param params
   * @returns
   */
  static async queryUpdate(params) {
    return await this.http.postRequest(equipquery_pre + "/update", params);
  }
  static async queryProperty() {}
  static async querySysLinkBuild() {}
  static async equipLinkSys() {}
  static async getAllProject(params?: any, fn?: any) {}
}
export default ScanController;
